# Audio stream set mute

An action block that mute or unmute an audio stream.

The fiber will proceed immediately without pause.

Changing the Ring stream may affect the current Do Not Disturb setting on Android 5+.

## Input arguments

- State — whether to mute or unmute the audio stream.
- Audio stream — audio stream to mute or unmute, default is Ring.
- Popup — whether to show the volume popup.
- Test sound — whether to play a test sound, may not work on Android 6+.